FLANG

Public Types | Public Member Functions | Friends | List of all members
Fortran::semantics::Symbol Class Reference

## Public Types
using | Flags = common::EnumSet< Flag, Flag_enumSize >

## Public Member Functions
| ENUM_CLASS (Flag, Error, Function, Subroutine, Implicit, ModFile, ParentComp, CrayPointer, CrayPointee, LocalityLocal, LocalityLocalInit, LocalityShared, InDataStmt, OmpShared, OmpPrivate, OmpLinear, OmpFirstPrivate, OmpLastPrivate, OmpMapTo, OmpMapFrom, OmpMapAlloc, OmpMapRelease, OmpMapDelete, OmpCommonBlock, OmpReduction, OmpDeclareSimd, OmpDeclareTarget, OmpThreadprivate, OmpDeclareReduction, OmpFlushed, OmpCriticalLock, OmpIfSpecified, OmpNone, OmpPreDetermined)
const Scope & | owner () const
const SourceName & | name () const
Attrs & | attrs ()
const Attrs & | attrs () const
Flags & | flags ()
const Flags & | flags () const
bool | test (Flag flag) const
void | set (Flag flag, bool value=true)
Scope * | scope ()
const Scope * | scope () const
void | set_scope (Scope *scope)
std::size_t | size () const
void | set_size (std::size_t size)
std::size_t | offset () const
void | set_offset (std::size_t offset)
void | ReplaceName (const SourceName &)
template<typename D >
bool | has () const
template<typename D >
D * | detailsIf ()
template<typename D >
const D * | detailsIf () const
template<typename D >
D & | get ()
template<typename D >
const D & | get () const
Details & | details ()
const Details & | details () const
void | set_details (Details &&)
bool | CanReplaceDetails (const Details &details) const
Symbol & | GetUltimate ()
const Symbol & | GetUltimate () const
DeclTypeSpec * | GetType ()
const DeclTypeSpec * | GetType () const
void | SetType (const DeclTypeSpec &)
bool | IsFuncResult () const
bool | IsObjectArray () const
bool | IsSubprogram () const
bool | IsFromModFile () const
bool | HasExplicitInterface () const
bool | operator== (const Symbol &that) const
bool | operator!= (const Symbol &that) const
bool | operator< (const Symbol &that) const
int | Rank () const
int | Corank () const
const DerivedTypeSpec * | GetParentTypeSpec (const Scope *=nullptr) const

## Friends
template<std::size_t >
class | Symbols
template<class , std::size_t >
struct | std::array
llvm::raw_ostream & | operator<< (llvm::raw_ostream &, const Symbol &)
llvm::raw_ostream & | DumpForUnparse (llvm::raw_ostream &, const Symbol &, bool)

The documentation for this class was generated from the following files:

- include/flang/Semantics/symbol.h
- lib/Semantics/symbol.cpp